Bug 56658 - REGRESSION (float-based line boxes): Gaps and overlaps in selection highlight
Summary: REGRESSION (float-based line boxes): Gaps and overlaps in selection highlight
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh All
: P1 Normal
Assignee: mitz
URL:
Keywords: InRadar, Regression
Depends on:
Blocks:
 
Reported: 2011-03-18 10:41 PDT by mitz
Modified: 2011-05-01 02:21 PDT (History)
0 users

See Also:


Attachments
Test case (680 bytes, text/html)
2011-03-18 10:41 PDT, mitz
no flags Details
Account for non-integral anchor point coordinates (27.68 KB, patch)
2011-04-30 21:27 PDT, mitz
andersca: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description mitz 2011-03-18 10:41:55 PDT
Created attachment 86179 [details]
Test case

When using a font with non-integer advances, there are sometimes gaps in the selection highlight between line boxes or between line box and gap rects. You can see this by highlighting text in the attached test case. I’ve also seen overlapping highlights and sometimes leftover highlight bits when clearing the selection.
Comment 1 mitz 2011-03-18 10:42:17 PDT
<rdar://problem/9155067>
Comment 2 mitz 2011-04-30 21:27:53 PDT
Created attachment 91812 [details]
Account for non-integral anchor point coordinates
Comment 3 mitz 2011-05-01 02:21:10 PDT
Fixed in r85411 <http://trac.webkit.org/changeset/85411>